%define module	Apache-Gallery
%define version	1.0
%define pre	RC2
%define release	0.%{pre}.2mdk

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	A mod_perl handler to create an image gallery
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://apachegallery.dk/download/%{module}-%{version}%{pre}.tar.bz2
Patch2:		%{module}-0.9.1.cache.patch.bz2
Patch3:		%{module}-0.9.1.filename.patch.bz2
URL:		http://apachegallery.dk/
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	apache-mod_perl
BuildRequires:	apache-mod_perl
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Image-Imlib2
BuildRequires:	perl-Image-Info
BuildRequires:	perl-Text-Template
BuildRequires:	perl-Test-MockObject
BuildArch:	noarch

%description
Apache::Gallery creates an thumbnail index of each directory and
allows viewing pictures in different resolutions. Pictures are
resized on the fly and cached.

%prep
%setup -q -n %{module}-%{version}%{pre}
%patch2
%patch3

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_datadir}/gallery
cp -r templates/* %{buildroot}%{_datadir}/gallery
install -d -m 755 %{buildroot}%{_var}/www/icons/gallery
cp htdocs/* %{buildroot}%{_var}/www/icons/gallery
install -d -m 755 %{buildroot}/var/cache/gallery

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes INSTALL LICENSE TODO UPGRADE
%{perl_vendorlib}/Apache
%{_datadir}/gallery
%attr(-,apache,apache) /var/cache/gallery
%{_var}/www/icons/gallery
%{_mandir}/*/*

%changelog
* Tue Jun 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.RC2.2mdk 
- requires apache-mod_perl
- drop useless patches
- include empty templates, otherwise the application crashes

* Thu Jun 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.RC2.1mdk 
- new version
- re-enable make test in %%check

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.1-4mdk
- spec file cleanups, remove the ADVX-build stuff
- disable make test for now

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-3mdk 
- fix non-jpg images issue
- fix icons path
- use /var/cache/gallery as cache location
- fix lowercase summary
- remove empty files
- change URL

* Fri Sep 17 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-2mdk 
- fixed mod_perl2 issue

* Sun Sep 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-1mdk
- new version  
- buildrequires

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-2mdk 
- rpmbuildupdate aware

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-1mdk
- new version
- correct source URL
- corrected buildrequires

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-4mdk
- fixed dir ownership (distlint)

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-3mdk
- buildrequires (slbd)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- included missing templates and icons

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
